#include "CS_KingSword.h"

CS_KingSword::CS_KingSword()
{
	ani.png = L"CS_CaveStoryMod";
}

void CS_KingSword::Step()
{
	ani.sprite_index = lr == 0 ? L"ls_kingsword_l" : L"ls_kingsword_r";
}

std::shared_ptr<Entity> CreateCS_KingSword()
{
	return std::make_shared<CS_KingSword>();
}
